Subject: bug#27016: possible bug in `defsetf'

From: Michael Heerdegen <[email-masked]>
Date: Thu, 25 May 2017 00:51:37 +0200

Rafael D Sorkin <[email-masked]> writes:

> I had a defsetf inside a conditional in a file that was to be
> loaded and/or compiled and then loaded.  (Compilation isn't
> really the issue.)  Before loading that file I set a "switch"
> which the conditional referred to.  That way a defsetf done
> before loading the file could be either overridden or not, as
> desired.

Can't you just `defsetf' unconditionally to a named function, and change
that function's definition when appropriate (in a conditional)?

Michael.